"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.restoreSession = exports.persistSession = exports.configureSession = void 0;
var _localStorageAdapter = _interopRequireDefault(require("local-storage-adapter"));
// node-safe local storage

let keyName;
const configureSession = name => {
  keyName = name;
};
exports.configureSession = configureSession;
const restoreSession = () => _localStorageAdapter.default.get(keyName);
exports.restoreSession = restoreSession;
const persistSession = payload => _localStorageAdapter.default.set(keyName, payload);
exports.persistSession = persistSession;