"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useShallowEqualSelector = exports.invoke = exports.has = void 0;
var _reactRedux = require("react-redux");
const invoke = function (fn) {
  for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }
  if (typeof fn === 'function') return fn(...args);
};
exports.invoke = invoke;
const has = function () {
  return Object.prototype.hasOwnProperty.call(...arguments);
};
exports.has = has;
const useShallowEqualSelector = selector => (0, _reactRedux.useSelector)(selector, _reactRedux.shallowEqual);
exports.useShallowEqualSelector = useShallowEqualSelector;